[package]
name = "poli"
version = "0.1.0"
edition = "2021"
license = "MIT OR Apache-2.0"
authors = ["Ygor Souza <ygor.souza@protonmail.com>"]
description = "Collection of tools for STEM"
categories = ["science", "mathematics"]
keywords = ["technology", "engineering"]
readme = "README.md"
homepage = "https://gitlab.com/ygor.souza/poli"
repository = "https://gitlab.com/ygor.souza/poli"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
eframe = "0.27.2"
egui_extras = "0.27.2"
egui_plot = "0.27.2"
uom = "0.36.0"
enum-iterator = "1.2.0"
mendeleev = "0.8.1"
colorgrad = "0.6.2"
meval = "0.2.0"
rand = { version = "0.8.5", features = ["small_rng"] }
csv = "1.3.0"
rfd = { version = "0.14.0", default-features = false }
chrono = { version = "0.4.36", default-features = false, features = [ "std", "clock" ] }
serde = { version = "1.0.152", features = ["derive"] }
serde_json = "1.0.91"
log = "0.4.17"

[features]
default = ["xdg"]
gtk3 = ["rfd/gtk3"]
xdg = ["rfd/xdg-portal", "rfd/async-std"]

[profile.dev]
opt-level = 1

[profile.test]
opt-level = 0

[profile.release]
strip = "symbols"
lto = true
